%
% generate settling velocity data
%
xx = 250:250:8000;
load vs.dat
%
[ y, c ] = fitwavnt( [8;vs], 3, 5, 1 );
%
figure;
plot( xx, vs, 'o' );
axis( [ 0 8000 0 8 ] );
set( gca, 'fontsize', 20 );
xlabel( 'Suspended Solids in mg/l' );
ylabel( 'Velocity in m/h' );
hold on;
plot( 0, 8, 'o' );
plot( [0 xx], y, '-' );
hold off;
%
print -f2 -deps2 ex5-7.eps
%

