%
%  Example 6.18a: Trend Detection
%
%  Bob Newell, March 1996
%------------------------------------------------------------
load nitrogen.dat;
%
t = nitrogen(:,1);
nh3 = nitrogen(:,2);
tkn = nitrogen(:,3);
%
fontsz = 24;
figure
plot( t, nh3, '-', t, tkn, '--' )
axis( [ 0 120 20 160 ] );
set( gca, 'fontsize', fontsz );
xlabel( 'Time in hours' );
ylabel( 'Concentration in mg/l' );
h = text( 40, 120, 'TKN' );
set( h, 'fontsize', fontsz );
h = stext( 40, 45, '\24NH_3' );
%set( h, 'fontsize', fontsz );
%
disp( 'NH3 Data' );
trend( nh3, 2 );
disp( 'TKN Data' );
trend( tkn, 2 );
%
printsto -f1 -deps2 ex6-14a.eps
%

