%
%  Figure 6.20
%
load nitr528.dat
load temp528.dat
%
h = plotyy( nitr528(:,1)/30, nitr528(:,2), ...
                   temp528(:,1)/30, temp528(:,2) );
%
axesyy( h, [ 0 30 -15 15 0 40 ], ...
   'Time in months', ...
   'Nitrate Increase in mg/l', ...
   'Temperature in C', 2, ...
   [ 0 5 10 15 ], [ 0 10 20 ] );
%
printsto -f1 -deps2 ex6-17.eps
%

