%
% Example 6.6: PRBS Excitation
%
% Bob Newell, March 1996
%--------------------------------------------------------
%
fontsz = 24;
y = 2 * ( prbs( 10 ) - 0.5 );
plotprbs( y(1:100), 1.0 );
set( gca, 'fontsize', fontsz );
ylabel( 'Signal magnitude' )
xlabel( 'Time in hours' )
%
frspec( y, 1.0, 1, 0 );
set( gca, 'fontsize', fontsz );
ylabel( 'Relative magnitude' )
xlabel( 'Frequency in radians/hour' )
%
print -f1 -deps2 ex6-7a.eps
print -f2 -deps2 ex6-7b.eps
%

