%
% Example 6.8:  Processed Plant Data
%
% Bob Newell, May 1996
%-------------------------------------------------------------
load data1.dat
load data2.dat
%
fontsz = 24;
data = filt( data1, 0.1, 0.3 );
outlier( data1-data );
figure
plot( data )
set( gca, 'fontsize', fontsz );
xlabel( 'Point Number' )
ylabel( 'DATA1 Filtered' )
figure
plot( data1 - data )
set( gca, 'fontsize', fontsz );
xlabel( 'Point Number' )
ylabel( 'DATA1 Deviation' )
%
data = filt( data2, 0.1, 0.3 );
outlier( data2-data );
figure
plot( data )
set( gca, 'fontsize', fontsz );
xlabel( 'Point Number' )
ylabel( 'DATA2 Filtered' )
figure
plot( data2 - data )
set( gca, 'fontsize', fontsz );
xlabel( 'Point Number' )
ylabel( 'DATA2 Deviation' )
%
print -f3 -deps2 ex6-9a.eps
print -f4 -deps2 ex6-9b.eps
%

