%
%  Figure 6.12
%
load f2a.dat
load f2b.dat
%
ax = plotyy( f2b(:,1), f2b(:,2), f2a(:,1), f2a(:,2) );
axesyy( ax, [ 0 53 0 4 0 300 ], ...
   'Time in hours', ...
   '\20Flowrate in m^3/s', ...
   'Suspended solids in FTU', 2, ...
   [ 2 3 4 ], [ 0 50 100 150 ] );
%
stext( 2.0, 3.5, '{\times \20 \it Q_{in}}' );
stext( 8.0, 0.3, '{\times \20 \it C_{out}}' );
%
printsto -f1 -deps2 ex6-10b.eps
%
