%
%  Figure 6.13
%
load f3a.dat
load f3b.dat
load f3c.dat
%
ax = plotyy( f3b(:,1), f3b(:,2), f3a(:,1), f3a(:,2) );
axesyy( ax, [ 0 14 -5 5 0 200 ], ...
   'Time in hours', ...
   '\16Flowrate in m^3/s', ...
   'Suspended solids in FTU', 2, ...
   [ 0:5 ], [ 0:20:100 ] );
%
stext( 12.0, 2.5, '{\times \20 \it Q_{in}}' );
stext( 12.0, 0.5, '{\times \20 \it Q_r}' );
stext( 12.0, -2.0, '{\times \20 \it C_{out}}' );
%
hold on;
plot( f3c(:,1), f3c(:,2) );
hold off;
%
printsto -f1 -deps2 ex6-10c.eps
%
