%
% example 8.2 figure 8.4
%
load ex8_2a.mat;
maxdo = 16;
j = find( do(:,1) < maxdo );
do = do(j,:);
%
plot( do(:,1), do(:,2), '-' );
axis( [ 15 maxdo 1 4 ] );
set( gca, 'fontsize', 24 );
xlabel( 'Time in hours' );
ylabel( 'DO in mg/l' );
%
figure;
load ex8_2b.mat;
%
plot( our(:,1), our(:,2), '-' );
set( gca, 'fontsize', 24 );
xlabel( 'Time in hours' );
ylabel( 'OUR in mg/l/h' );
%
f = filt( our(:,2), mean(diff(our(:,1))), 0.15 );
hold on;
plot( our(:,1), f, '--' );
hold off;
%
print -f1 -deps2 swcdo.eps
print -f2 -deps2 swcour.eps
%
