%
% Example 8.3 - Figure 8.5
%
load fig4a.dat;
subplot( 2, 1, 1 );
plot( fig4a(:,1), fig4a(:,2) );
axis( [ 0 6 40 160 ] );
set( gca, 'fontsize', 20 );
xlabel( 'Time in hours' );
ylabel( 'Flowrate in lpm' );
%
load fig4b.dat;
subplot( 2, 1, 2 );
plot( fig4b(:,1), fig4b(:,2) );
axis( [ 0 6 25 55 ] );
set( gca, 'fontsize', 20 );
xlabel( 'Time in hours' );
ylabel( 'Effluent SS in mg/l' );
%
print -f1 -deps2 clarflss.eps
%
% Example 8.3 - Figure 8.6
%
load fig4b.dat;
load fig4c.dat;
subplot( 2, 1, 1 );
plot( fig4b(:,1), fig4b(:,2) );
axis( [ 0 6 25 55 ] );
hold on;
plot( fig4c(:,1), fig4c(:,2) );
hold off;
set( gca, 'fontsize', 20 );
xlabel( 'Time in hours' );
ylabel( 'Effluent SS in mg/l' );
%
load fig4d.dat;
load fig4e.dat;
subplot( 2, 1, 2 );
plot( fig4d(:,1), fig4d(:,2) );
axis( [ 0 6 25 55 ] );
hold on;
plot( fig4e(:,1), fig4e(:,2) );
hold off;
set( gca, 'fontsize', 20 );
xlabel( 'Time in hours' );
ylabel( 'Effluent SS in mg/l' );
%
print -f1 -deps2 clarmod.eps
%
