%
% Example 10.2 - Figure 10.4
%
load faxfig5.dat;
load faxfig6.dat;
%
n = length( faxfig6 );
m = 65;
hax = plotyy( faxfig5(:,1)/6, faxfig5(:,2), ...
   (faxfig6(m:n,1)-faxfig6(m,1))/6, faxfig6(m:n,2) );
axesyy( hax, [ 0 300 -60 20 -3 5 ], ...
   'Time in minutes', ...
   'Air Flowrate Change', ...
   'DO Change in mg/l', 2, ...
   [ -20 0 20 ], [ -2 -1 0 1 ] );
%
printsto -f1 -deps2 broken.eps
%
%-----------------------------------------------------------
% the end!   
