%
% example 10.3 data
%
load qin.dat
load qr.dat
load cout.dat
%
figure;
hax = plotyy( qin(:,1), qin(:,2), cout(:,1), cout(:,2) );
axesyy( hax, [ 0 50 -6 6 0 320 ], ...
   'Time in hours', ...
   '\16Flowrate in m^3/s', ...
   'Suspended solids in FTU', 0 );
%
hold on;
plot( qr(:,1), qr(:,2), '-' );
hold off;
%
stext( 44, 3.9, '\times \16 \it Q_{in}' );
stext( 44, 1.7, '\times \16 \it Q_{r}' );
stext( 41, -3, '\times \16 \it C_{out}' );
%
