%
% Figure 5.4  Linearisation approaches
%
fontsz = 20;
t = 0 : 1 : 30;
y = 2 * ( 1 - exp( -0.2 * t ) );
figure;
plot( t, y, '-' );
set( gca, 'fontsize', fontsz );
axis( [ 0 30 0 2.5 ] );
xlabel( 'U' );
ylabel( 'Y' );
hold on;
xx = [ 0 6 15; 6 15 30 ];
yy = 2 * ( 1 - exp( -0.2 * xx ) );
h = line( xx, yy );
hold off;
for i = 1:3,
  set( h(i), 'color', 'k' );
  set( h(i), 'linestyle', '--' );
end;
%
figure;
semilogy( t, 2-y, '-' );
set( gca, 'fontsize', fontsz );
xlabel( 'U' );
ylabel( 'LOG( 2 - Y )' );
%
print -f1 -deps2 fig5-2a.eps
print -f2 -deps2 fig5-2b.eps
%
