%
%  figure 5.8 wavelets
%
fontsz = 20;
x = -10:0.1:10;
plot( x, mexhat( x, 1, 0 ) + 9, '-k' );
hold on;
h = text( -9, 9.5, 'wavelet' );
set( h, 'fontsize', fontsz );
plot( x, mexhat( x, 0.25, 0 ) + 7, '-k' );
h = text( -9, 7.5, 'dilation = 0.25' );
set( h, 'fontsize', fontsz );
plot( x, mexhat( x, 2.00, 0 ) + 5, '-k' );
h = text( -9, 5.5, 'dilation = 2.0' );
set( h, 'fontsize', fontsz );
plot( x, mexhat( x, 1, +5 ) + 3, '-k' );
h = text( -9, 3.5, 'translation = +5' );
set( h, 'fontsize', fontsz );
plot( x, mexhat( x, 1, -5 ) + 1, '-k' );
h = text( +2, 1.5, 'translation = -5' );
set( h, 'fontsize', fontsz );
hold off;
%
set( gca, 'fontsize', fontsz );
set( gca, 'YTickLabel', [] );
set( gca, 'Position', [ 0.11 0.11 0.775 0.815 ] );
%
print -f1 -deps2 wavelets.eps
%

