%
%  Figure 7.8b
%
%  Second figure in step test section
%
t = 0:.05:4;
t1 = 0.25;
t2 = 1.0;
x = 1 + t1 * exp( -t / t1 ) / ( t2 - t1 ) ...
                   - t2 * exp( -t / t2 ) / ( t2 - t1 );
figure
plot( t, x )
set( gca, 'fontsize', 24 );
hold on
line( [ 0.52 0.52 ]', [ 0  0.3 ]' )
h = text( 0.58, 0.18, 'T1' )
set( h, 'fontsize', 24 );
line( [ 1.685 1.685 ]', [ 0  0.8 ]' )
h = text( 1.75, 0.68, 'T2' )
set( h, 'fontsize', 24 );
line( [ 0 0.7 ]', [ 0.25 0.25 ]' )
h = text( 0.08, 0.3, '0.25' )
set( h, 'fontsize', 24 );
line( [ 0 1.9 ]', [ 0.75 0.75 ]' )
h= text( 1.2, 0.8, '0.75' )
set( h, 'fontsize', 24 );
ylabel( 'Process Variable' )
xlabel( 'Time' )
hold off
%
print -f1 -deps2 step2.eps
%
