%
% Figure 7.13 with different noises
%
randn('seed',0);
w = noise( 1000, 0, 0 ) + 16;
randn('seed',0);
c1 = 0.5 * noise( 1000, 0.8, 0.1 ) + 8;
randn('seed',0);
c2 = 0.5 * noise( 1000, [ 0.9 0.05 ], 0.1 );
%
plot( [ w c1 c2 ] )
set( gca, 'fontsize', 20 );
xlabel( 'Time' )
ylabel( 'Signal' )
%
h = text( 600, 12.5, 'White' );
set( h, 'fontsize', 20 );
h = text( 600, 5.0, 'Coloured 1' );
set( h, 'fontsize', 20 );
h = text( 600, -3.8, 'Coloured 2' );
set( h, 'fontsize', 20 );
%
print -f1 -deps2 noises.eps
%
