%
%  Figure 11.11 Runchart
%
load qin.dat;
load cout.dat;
%
figure;
hax = plotyy( qin(3:6:625,1), qin(3:6:625,2), ...
   cout(3:6:624,1), cout(3:6:624,2) );
axesyy( hax, [ 0 50 -6 6 0 200 ], ...
   'Time in hours', ...
   'Flowrate in m^3/hr', ...
   'Suspended solids in FTU', 2, ...
   [ 0 2 4 6 ], [ 0 50 100 ] );
%
h = line( [ 0 50 ], [ -3.6 -3.6 ] );
set( h, 'linestyle', '--' );
h = line( [ 0 50 ], [ -5.4 -5.4 ] );
set( h, 'linestyle', '--' );
%
h = line( [ 0 50 ], [ 1.2 1.2 ] );
set( h, 'linestyle', '--' );
h = line( [ 0 50 ], [ 5.0 5.0 ] );
set( h, 'linestyle', '--' );
%
printsto -f1 -deps2 runchart.eps
%
