%
% 2d cluster diagram for chapter
%
load cluster_data.dat;
d(:,1) = cluster_data(:,1) ./ 6;
d(:,2) = cluster_data(:,2) ./ 120;
clear cluster_data;
%
figure;
[ cen, sh, al ] = ellclust( d, 0.2, 1.0, 1 );
axis( [ 0 1 0 1 ] );
set( gca, 'fontsize', 16 );
xlabel( 'Variable A' );
ylabel( 'Variable B' );
cen
%
print -f1 -deps2 cluster.eps
%

