%
% do sensor response simulations
%
[ t, x ] = euler( 'DO_Sensor', [ 0 2 ], [ 2.5 3.5 ] );
%
figure;
plot( t, x );
set( gca, 'fontsize', 16 );
axis( [ 0 2 2 5 ] );
xlabel( 'Time in hours' );
ylabel( 'DO sensor in mg/l' );
%
print -f1 -deps2 fig12dosens.eps
%
