%
%  figure 15.10
%
load syvab4;
[ n, m ] = size( dat );
tim = ( 0:n-1 )' * 0.1;
%
tm = 0:100;
%
figure;
subplot( 2, 2, 1 );
plot( tm, Influent_Function( tm, [ 458 72 0 0.4 0 ] ), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
axis( [ 0 100 ax(3:4) ] );
hold on;
fdat = filt( fillin(dat(:,1)), 0.1, 2 );
plot( tim(1:20:1560), fdat(1:20:1560), 'o' );
hold off;
xlabel( 'Time in hours' );
ylabel( 'Filtered Flow in Ml/d' );
%
subplot( 2, 2, 2 );
plot( tm, Influent_Function( tm, [ 458 72 0 0.4 0 ] ), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
axis( [ 0 100 ax(3:4) ] );
hold on;
plot( tim(1:20:1560), dat(1:20:1560,1), 'o' );
hold off;
xlabel( 'Time in hours' );
ylabel( 'Raw Flow in Ml/d' );
%
subplot( 2, 2, 3 );
plot( tm, Influent_Function( tm, [ 153 20 0 4 0 ] ), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
axis( [ 0 100 ax(3:4) ] );
hold on;
plot( tim(1:20:1560), dat(1:20:1560,2), 'o' );
hold off;
xlabel( 'Time in hours' );
ylabel( 'COD in mg/l' );
%
subplot( 2, 2, 4 );
plot( tm, Influent_Function( tm, [ 26 8 0 0.4 0 ] ), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
axis( [ 0 100 ax(3:4) ] );
hold on;
plot( tim(1:20:1560), dat(1:20:1560,3), 'o' );
hold off;
xlabel( 'Time in hours' );
ylabel( 'NH4 in mg/l' );
%
print -f1 -deps2 fig15-10.eps
%
