%
% Extract Influent Data
%
get_HHraw_data;
%
t = conc(1:36,1);
c1 = conc(1:36,4);
n1 = conc(1:36,9);
p1 = conc(1:36,10);
clear conc concleg
%
get_HHsettled_data;
%
t = conc(1:36,1);
c2 = conc(1:36,4);
n2 = conc(1:36,9);
p2 = conc(1:36,10);
clear conc concleg
%
figure;
subplot( 2, 2, 1 );
plot( t, c1, '-' );
set( gca, 'fontsize', 16 );
[ mean(c1) std(c1) ]
ax = axis;
ax(2) = 80; ax(3) = 0; ax(4) = 1200;
axis( ax );
xlabel( 'Time in hours' );
ylabel( 'Raw COD' );
subplot( 2, 2, 2 );
plot( t, c2, '-' );
set( gca, 'fontsize', 16 );
[ mean(c2) std(c2) ]
ax = axis;
ax(2) = 80; ax(3) = 0; ax(4) = 1200;
axis( ax );
xlabel( 'Time in hours' );
ylabel( 'Settled COD' );
subplot( 2, 2, 3 );
plot( t, p1, '-' );
set( gca, 'fontsize', 16 );
[ mean(p1) std(p1) ]
ax = axis;
ax(2) = 80; ax(3) = 0; ax(4) = 30;
axis( ax );
ylabel( 'Raw P' );
xlabel( 'Time in hours' );
subplot( 2, 2, 4 );
plot( t, p2, '-' );
set( gca, 'fontsize', 16 );
[ mean(p2) std(p2) ]
ax = axis;
ax(2) = 80; ax(3) = 0; ax(4) = 30;
axis( ax );
ylabel( 'Settled P' );
xlabel( 'Time in hours' );
%
print -f1 -deps2 fig15-12.eps
%
figure
subplot( 2, 2, 1 )
[ h, f, sp ] = frspec( c1, 2, 0, 0 );
plot( f, sp(:,1)/sum(abs(c1-mean(c1))), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ylabel( 'Raw COD' );
xlabel( 'Radians/hour' );
subplot( 2, 2, 2 );
[ h, f, sp ] = frspec( p1, 2, 0, 0 );
plot( f, sp(:,1)/sum(abs(p1-mean(p1))), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ylabel( 'Raw P' );
xlabel( 'Radians/hour' );
%
print -f2 -deps2 fig15-13.eps
%
