%
% Figure 15.2
%
% get the data using "get_fcnp_data.m"
get_fcnp_data;
%
figure;
subplot( 2, 2, 1 );
plot( tt, ff, '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ax(2) = 110;
axis( ax );
ylabel( 'Flow' );
xlabel( 'Time in hours' );
disp( [ 'flow = ', num2str(mean(ff)), ...
          ' +- ', num2str(std(ff)), ' Ml/d' ] );
subplot( 2, 2, 2 );
plot( t, c, '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ax(2) = 110;
axis( ax );
ylabel( 'Total COD' );
xlabel( 'Time in hours' );
disp( [ 'tcod = ', num2str(mean(c)), ...
          ' +- ', num2str(std(c)), ' mg/l' ] );
subplot( 2, 2, 3 );
plot( t, n, '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ax(2) = 110;
axis( ax );
ylabel( 'Total N' );
xlabel( 'Time in hours' );
disp( [ 'total n = ', num2str(mean(n)), ...
          ' +- ', num2str(std(n)), ' mg/l' ] );
subplot( 2, 2, 4 );
plot( t, p, '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ax(2) = 110;
axis( ax );
ylabel( 'Total P' );
xlabel( 'Time in hours' );
disp( [ 'total p = ', num2str(mean(p)), ...
          ' +- ', num2str(std(p)), ' mg/l' ] );
%
print -f1 -deps2 fig15-2.eps
%
