%
%  figure 15.9
%
% get data using "get_fcnp_data.m"
get_fcnp_data;
%
tm = 0:95;
%
figure;
subplot( 2, 2, 1 );
plot( tm, Influent_Function( tm, [ 5.1 -1.8 -0.9 1 -0.85 ] ), '-' );
set( gca, 'fontsize', 16 );
hold on;
plot( tt(1:12:1129)-8, ff(1:12:1129), 'o' );
hold off;
xlabel( 'Time in hours' );
ylabel( 'Flow in Ml/d' );
%
subplot( 2, 2, 2 );
plot( tm, Influent_Function( tm, [ 520 -128 -0.9 1 -0.85 ] ), '-' );
set( gca, 'fontsize', 16 );
hold on;
plot( t-8, c, 'o' );
hold off;
xlabel( 'Time in hours' );
ylabel( 'Total COD in mg/l' );
%
subplot( 2, 2, 3 );
plot( tm, Influent_Function( tm, [ 73 -17.3 -0.9 1 -0.85 ] ), '-' );
set( gca, 'fontsize', 16 );
hold on;
plot( t-8, n, 'o' );
hold off;
xlabel( 'Time in hours' );
ylabel( 'Total N in mg/l' );
%
subplot( 2, 2, 4 );
plot( tm, Influent_Function( tm, [ 12 -2.56 -0.9 1 -0.85 ] ), '-' );
set( gca, 'fontsize', 16 );
hold on;
plot( t-8, p, 'o' );
hold off;
xlabel( 'Time in hours' );
ylabel( 'Total P in mg/l' );
%
print -f1 -deps2 fig15-9.eps
%
