%
% figure 17-17
%   data from thesis of Lindberg p 137 and 138
%
load do137.dat
load vp137.dat
%
figure;
hax = plotyy( do137(:,1), do137(:,2), ...
              vp137(:,1), vp137(:,2) );
axesyy( hax, [ 0 25 -4 5 0 200 ], ...
   'Time in minutes', ...
   'DO in mg/l', ...
   'Valve position in %', 2, ...
   [ 0 2 4 ], [ 0 50 100 ] );
%
h = line( [0 8 8 25], [3.8 3.8 1 1] );
set( h, 'color', 'k', 'linestyle', '--' );
%
printsto -f1 -deps2 fig1717a.eps
%
load do138.dat
load vp138.dat
%
figure;
hax = plotyy( do138(:,1), do138(:,2), ...
              vp138(:,1), vp138(:,2) );
axesyy( hax, [ 0 25 -4 5 0 200 ], ...
   'Time in minutes', ...
   'DO in mg/l', ...
   'Valve position in %', 2, ...
   [ 0 2 4 ], [ 0 50 100 ] );
%
h = line( [0 7 7 21 21 25], [4.4 4.4 1 1 1.2 1.2] );
set( h, 'color', 'k', 'linestyle', '--' );
%
printsto -f2 -deps2 fig1717b.eps
%
