%
% Figure 20.10a
%
x = (1:0.5:10) * 0.5;
y = (1:0.5:10) * 0.44 + 1;
%
z = zeros( length(x), length(y) );
for i = 1:length(x),
  for j = 1:length(y),
    z(i,j) = func1( [ x(i) y(j) ] );
  end;
end;
figure;
contour( x, y, z', [1:2:9 15:20:50 75:90:300 400:200:2000] );
set( gca, 'fontsize', 16 );
xlabel( 'DO in mg/l' );
ylabel( 'RAS in Ml/d' );
%
% do a search
%
global stats
hold on;
h = text( 0.5, 2, 'S' ); set( h, 'fontsize', 24 );
linesrch( 'func1', [ 0.5 2 ], [ 1 1 ], 1, 1, 0.3 )
srchstat
stats = [];
h = text( 4.86, 3.3, 'S' ); set( h, 'fontsize', 24 );
linesrch( 'func1', [ 5 3.3 ], [ 1 1 ], 1, 1, 0.3 )
srchstat
stats = [];
h = text( 0.5, 4.5, 'S' ); set( h, 'fontsize', 24 );
linesrch( 'func1', [ 0.5 4.5 ], [ 1 1 ], 1, 1, 0.3 )
srchstat
stats = [];
hold off;
print -f1 -deps2 fig20-10a.eps
%
