%
% Figure 20.10b
%
x = (1:0.5:10) * 0.5;
y = (1:0.5:10) * 0.44 + 1;
%
z = zeros( length(x), length(y) );
for i = 1:length(x),
  for j = 1:length(y),
    z(i,j) = func2( [ x(i) y(j) ] );
  end;
end;
figure;
contour( x, y, z', [1:2:9 15:20:50 75:90:300 400:200:2000] );
set( gca, 'fontsize', 16 );
xlabel( 'DO in mg/l' );
ylabel( 'RAS in Ml/d' );
%
% do a search
%
global stats
hold on;
h = text( 0.5, 5, 'S' ); set( h, 'fontsize', 24 );
linesrch( 'func2', [ 0.5 5 ], [ 0.5 0.5 ], 1, 1, 0.6 )
srchstat
stats = [];
hold off;
print -f1 -deps2 fig20-10b.eps
%
