%
% Figure 20.11a
%
x = (1:0.5:10) * 0.5;
y = (1:0.5:10) * 0.44 + 1;
%
z = zeros( length(y), length(x) );
for i = 1:length(x),
  for j = 1:length(y),
    z(j,i) = func1( [ x(i) y(j) ] );
  end;
end;
figure;
contour( x, y, z, [1:2:9 15:20:50 75:90:300 400:200:2000] );
set( gca, 'fontsize', 16 );
xlabel( 'DO in mg/l' );
ylabel( 'RAS in Ml/d' );
%
% do a search
%
global stats
hold on;
h = text( 0.5, 2, 'S' ); set( h, 'fontsize', 24 );
gradsrch( 'func1', [ 0.5 2 ], 1, 1, 1, 0.3 )
srchstat
stats = [];
h = text( 4.85, 3.3, 'S' ); set( h, 'fontsize', 24 );
gradsrch( 'func1', [ 5 3.3 ], 1, 1, 1, 0.3 )
srchstat
stats = [];
h = text( 0.5, 4.5, 'S' ); set( h, 'fontsize', 24 );
gradsrch( 'func1', [ 0.5 4.5 ], 1, 1, 1, 0.3 )
srchstat
stats = [];
hold off;
print -f1 -deps2 fig20-11a.eps
%
