%
%  Figures 21.1 and 21.2
%
fntsz = 24;
[p,s]=polyfit(2.0-[2 1 0.5],[1020 3710 5300]-1020,2);
%
h = costopt( 0.5, 0.5, 0.2/0.6, p );
%
figure( h(1) );
axis( [ -2 3 0.0 2.5 ] );
set( gca, 'fontsize', fntsz );
t = text(  2.0, 1.5, 'Penalty' );
set( t, 'fontsize', 24 );
t = text( -1.1, 0.2, 'Bad' );
set( t, 'fontsize', 24 );
t = text( -0.35, 1.7, 'Good' );
set( t, 'fontsize', 24 );
print -f1 -deps2 fig21-1a.eps
%
figure( h(2) );
axis( [ -2 3 0.0 0.7 ] );
set( gca, 'fontsize', fntsz );
t = text( -1.0, 0.4, 'Bad' );
set( t, 'fontsize', 24 );
t = text( -0.7, 0.1, 'Good' );
set( t, 'fontsize', 24 );
print -f2 -deps2 fig21-2a.eps
%%
fntsz = 24;
[p,s]=polyfit(2.0-[2 1 0.5],[1020 3710 5300]-1020,2);
%
h = costcon( 0.5, 0.5, 0.2/0.6, p, 2.0 );
%
figure( h(1) );
set( gca, 'fontsize', fntsz );
t = text( -0.5, 1.8, 'Penalty' );
set( t, 'fontsize', 24 );
t = text( -0.8, 0.4, 'Bad' );
set( t, 'fontsize', 24 );
t = text(  1.8, 1.6, 'Good' );
set( t, 'fontsize', 24 );
print -f3 -deps2 fig21-1b.eps
%
figure( h(2) );
set( gca, 'fontsize', fntsz );
t = text( -0.8, 0.4, 'Bad' );
set( t, 'fontsize', 24 );
t = text(  1.8, 0.2, 'Good' );
set( t, 'fontsize', 24 );
print -f4 -deps2 fig21-2b.eps
%