%
% Figure 23.1a
%
t = -1:0.01:1;
c = 1./(1 + exp(-20 * t));
%
plot( t, c );
axis( [ -1 1 -0.1 1.1 ] );
set( gca, 'fontsize', 24, 'xtick', [], 'ytick', [] );
xlabel( 'Acid Addition <--|--> Base Addition' );
ylabel( 'pH' );
%
h = line( [ -1 1 ], [ 0.5 0.5 ] );
set( h, 'linestyle', '--' );
h = text( -0.8, 0.55, 'pH = 7' );
set( h, 'fontsize', 24 );
%
print -f1 -deps2 fig23-1a.eps
%

