%
% Figure 23.2
%
t = 0:0.1:20;
tau = 3;
c = (1 - exp(-t./tau));
c = c + [ zeros(1,100) c(1:101) ];
%
plot( t, c );
set( gca, 'fontsize', 20, 'xtick', [], 'ytick', [] );
xlabel( 'Time' );
ylabel( 'BOD in mg/l' );
%
h = text( 2, 0.3, 'Carbonaceous BOD' );
set( h, 'fontsize', 20 );
h = text( 12, 1.3, 'Nitrogeneous BOD' );
set( h, 'fontsize', 20 );
%
print -f1 -deps2 fig23-2.eps
%

