%
% text figures 24.3
% (figures 2.7 and 2.8 on PCM book)
%
flow = 0:0.2:5;
%
figure(1);
plot( flow, 20*ones(size(flow)), ...
   flow, 10+0.3*flow.^2, ...
   flow, 10*ones(size(flow)) );
axis( [ 0 5 8 22 ] );
set( gca, 'fontsize', 24 );
xlabel( 'Flowrate' );
ylabel( 'Pressure' );
h = text( 3, 11, 'Piping' );
set( h, 'fontsize', 24 );
h = text( 1, 15, 'Control Valve' );
set( h, 'fontsize', 24 );
%
print -f1 -deps2 delivery-constant
%
figure(2);
plot( flow, 20-0.1*flow.^2, ...
   flow, 10+0.3*flow.^2, ...
   flow, 10*ones(size(flow)) );
axis( [ 0 5 8 22 ] );
set( gca, 'fontsize', 24 );
xlabel( 'Flowrate' );
ylabel( 'Pressure' );
h = text( 3, 11, 'Piping' );
set( h, 'fontsize', 24 );
h = text( 1, 15, 'Control Valve' );
set( h, 'fontsize', 24 );
%
print -f2 -deps2 delivery-sags
%
