%
%  PLOT FIGURE 24.6
%
load y;
load y2;
%
% Figure 24.6 (a)
figure;
plot( y(:,3), y(:,1), y(:,3), y(:,2) );
set( gca, 'fontsize', 24 );
xlabel( 'Time in milliseconds' );
ylabel( 'Signal components' );
%
print -f1 -deps2 fig24alias1.eps
%
% Figure 24.6 (b)
figure;
plot( y(:,3), y(:,1) );
hold on;
stem( y2(:,1), y2(:,2) );
hold off;
set( gca, 'fontsize', 24 );
xlabel( 'Time in milliseconds' );
ylabel( 'Signal sampling' );
%
print -f2 -deps2 fig24alias2.eps
%
% Figure 24.6 (c)
figure;
plot( y(:,3), y(:,1) );
hold on;
plot( y(:,3), y(:,5) );
set( gca, 'fontsize', 24 );
xlabel( 'Time in milliseconds' );
ylabel( 'Connected points' );
%
print -f3 -deps2 fig24alias3.eps
stem( y2(:,1), y2(:,2) );
%
% Figure 24.6 (d)
figure;
plot( y(:,3), y(:,5) );
set( gca, 'fontsize', 24 );
xlabel( 'Time in milliseconds' );
ylabel( 'Signal reconstructed' );
%
print -f4 -deps2 fig24alias4.eps
%
