%
% RTD Simulator - Write Object Definition File
%
% Bob Newell, January 1996
%
function objects = rtdwrite( objects, fname )
%
% get a file name
%
newname = input( ['Filename [' fname ...
                  '] in single quotes > '] );
if length(newname) > 0,
  fname = newname;
end;
%
% and now the action
%
eval( [ 'save ' fname '.rtd objects -ascii' ] );
[n, m] = size( objects );
disp( ['Wrote ' num2str(n) ' objects'] );
%
return;
