%
%  Figure 6.15
%
load f1a.dat
load f1b.dat
%
n = length( f1a );
f1a(n-10:n,:) = [];
%
ax = plotyy( f1b(:,1), f1b(:,2), f1a(:,1), f1a(:,2) );
axesyy( ax, [ 0 60 -4 4 0 120 ], ...
   'Time in hours', ...
   '\20Flowrate in m^3/s', ...
   'Suspended solids in FTU', 0 );
%
stext( 12.0, 3.0, '{\times \20 \it Q_{in}}' );
stext( 12.0, -2.0, '{\times \20 \it C_{out}}' );
%
printsto -f1 -deps2 ex6-12.eps
%
