%
% Example 6.7:  Raw Plant Data
%
% Bob Newell, May 1996
%-------------------------------------------------------------
load data1.dat
load data2.dat
%
t = (1:3360)/10/24;
%
fontsz = 24;
figure
plot( t, data2 )
set( gca, 'fontsize', fontsz );
xlabel( 'Time in days' );
ylabel( 'Nitrate in mg/l' );
%
figure
plot( t, data1 )
set( gca, 'fontsize', fontsz );
xlabel( 'Time in days' );
ylabel( 'Suspended Solids in mg/l' );
%
print -f1 -deps2 ex6-8a.eps
print -f2 -deps2 ex6-8b.eps
%

