%
%  Figure 6.11
%
load f4a.dat
load f4b.dat
%
ax = plotyy( f4b(:,1), f4b(:,2), f4a(:,1), f4a(:,2) );
axesyy( ax, [ 0 20 -3 7 0 80 ], ...
   'Time in hours', ...
   '\20Flowrate in m^3/s', ...
   'Suspended solids in FTU', 0 );
%
stext( 3.0, 4.2, '{\times \20 \it Q_{in}}' );
stext( 3.0, -1.0, '{\times \20 \it C_{out}}' );
%
printsto -f1 -deps2 ex6-10a.eps
%
