%
% figures for Example 7.7
%
load sos12
x = (10:5:130);
y = (2:0.5:14);
c = [1 5 10 25 50 75 100];
figure;
contour( x, y, sos, c );
set( gca, 'fontsize', 24 );
xlabel( 'Saturation Constant' );
ylabel( 'Maximum Growth Rate' );
line( [30 30], [2 12] );
line( [10 70], [4.9 4.9] );
clear sos;
%
load sos34
x = (0.1:0.04:0.9);
y = (0:0.05:1);
c = [1 5 10 25 50 75 100]*100;
figure;
contour( x, y, sos, c );
set( gca, 'fontsize', 24 );
xlabel( 'Yield' );
ylabel( 'Decay Rate' );
line( [0.6 0.6], [0 0.85] );
line( [0.1 0.8], [0.4 0.4] );
clear sos;
%
print -f1 -deps2 ex7-7a.eps
print -f2 -deps2 ex7-7b.eps
%
