%
% Figure 2.1b
%
load figure_2_1b_data_a
load figure_2_1b_data_b
%
figure;
hax = plotyy( fdat(:,1)/24, fdat(:,2), ...
   cdat(:,1)/24, cdat(:,3) );
axesyy( hax, [ 0 3 -10 15 0 200 ], ...
   'Time in days', ...
   'Flowrate in Ml/d', ...
   'Ammonia in mg/l', 2, ...
   [0 5 10 15], [0 40 80] );
%
printsto -f1 -deps2 fig2-1b.eps
%
