%
% figure 7.2 measures of variation
%
rand( 'seed',  1.8523e+9 );
x = (1:0.5:10) + 0.5 * rand(1,19);
y = (2:0.5:11) + 5.0 * rand(1,19);
plot( x, y, 'x' );
set( gca, 'fontsize', 20 );
xlabel( 'U Values' );
ylabel( 'Y Values' );
%
line( [1 11], [4.7 15] );
h = line( [0.5 11.5], [9.8 9.8] );
set( h, 'linestyle', '--' );
h = line( [4 6], [12.5 12.5] );
set( h, 'linestyle', '--' );
h = line( [5.7 7.1], [9.3 9.3] );
set( h, 'linestyle', '--' );
h = line( [5.7 7.1], [8.2 8.2] );
set( h, 'linestyle', '--' );
%
arrow( [5 11], [5 9.8] );
arrow( [5 11], [5 12.5] );
%
arrow( [6.4 8.7], [6.4 9.3], 10 );
arrow( [6.4 8.7], [6.4 8.2], 10 );
%
h = text( 1.5, 11.9, 'SOS about' );
set( h, 'fontsize', 20 );
h = text( 2.5, 11.2, 'the' );
set( h, 'fontsize', 20 );
h = text( 1.5, 10.5, 'data mean' );
set( h, 'fontsize', 20 );
h = text( 7.3, 9.1, 'SOS about the' );
set( h, 'fontsize', 20 );
h = text( 7.3, 8.4, 'regression line' );
set( h, 'fontsize', 20 );
%
print -f1 -deps2 fig7-2.eps
%
