%
% Figure 7.10 Impulse Responses
%
t = ( 0:0.1:50 )';
tau = 5 ;
%
tt = t / tau;
ex = exp( - tt );
x = [ ex  tt .* ex  tt .* tt .* ex / 2 ...
                      tt .* tt .* tt .* ex / 6 ];
figure;
plot( tt, x );
set( gca, 'fontsize', 20 );
xlabel( 'Number of Time Constants' );
ylabel( 'Response' );
h = text( 2.0, 0.60, 'One Tank' )
set( h, 'fontsize', 20 );
arrow( [ 1.9 0.60 ], [ 0.6 0.55 ] )
h = text( 2.9, 0.38, 'Two Tanks' )
set( h, 'fontsize', 20 );
arrow( [ 2.8 0.38 ], [ 1.52 0.33 ] )
h = text( 3.9, 0.30, 'Three Tanks' )
set( h, 'fontsize', 20 );
arrow( [ 3.8 0.30 ], [ 2.52 0.26 ] )
h = text( 5.7, 0.22, 'Four Tanks' )
set( h, 'fontsize', 20 );
arrow( [ 5.6 0.22 ], [ 4.3 0.18 ] )
%
print -f1 -deps2 impulse.eps
%
