%
% clean and dirty probe data
%
load faxfig2.dat;
load faxfig3.dat;
%
plot( faxfig2(:,1)-11.5, faxfig2(:,2) );
hold on;
plot( faxfig3(:,1)-0.5, faxfig3(:,2)-0.5 );
hold off;
%axis([13.5 16.0 0 4]);
set( gca, 'fontsize', 20 );
ylabel('DO concentration in mg/l');
xlabel('Time in hours');
%
h = text( 3, 2.35, 'Clean Probe' );
set( h, 'fontsize', 20 );
h = text( 3, 1.35, 'Dirty Probe' );
set( h, 'fontsize', 20 );
%
print -f1 -deps2 dirty.eps
%

