%
a = [1 1;.8 .9; 1.1 .9; 1.5 1.4; 1.5 2.7; ...
                       3 3.5;2.8 3.2;2.9 3.3;2.7 3.5];
%
nc = 2;
m = 0.5;
[ cen, u ] = fcmeans( a, m, nc );
u
cen
%
figure;
plot( a(:,1), a(:,2), '+' );
axis( [ 0.5 3.5 0.5 4.0 ] );
set( gca, 'fontsize', 24 );
xlabel( 'Variable A' );
ylabel( 'Variable B' );
%
hold on;
for i = 1:nc,
  plot( cen(i,1), cen(i,2), 'o' );
end;
hold off;
%
[ g, x, y ] = fcmalcut( cen, m, axis, 25 );
hold on;
contour( x, y, g, [ 0.9 0.98 0.99 ] );
hold off;
%
print -f1 -deps2 clust3.eps
%

