%
% simulated stochastic signals
%
ya = randn(200,1);
yb = randn(200,1) .* sin(pi*(1:200)/130)';
yc = randn(200,1) + sin(pi*(1:200)/130)';
yd = randn(200,1) .* sin(pi*(1:200)/80)' ...
         + sin(pi*(200:-1:1)/130)';
%
figure;
plot( [ ya+23 yb+17 yc+11 yd+5 ] );
%
set( gca, 'fontsize', 16 );
xlabel( 'Time' );
ylabel( 'Signal' );
%
stext( 25, 26, '\16(a)' );
stext( 25, 20, '\16(b)' );
stext( 25, 14, '\16(c)' );
stext( 25,  8, '\16(d)' );
%
printsto -f1 -deps2 stochast.eps
%
