%
% figures 14.13
%
load air2.dat;
load toc.dat
%
hax = plotyy( toc(:,1), toc(:,2), air2(:,1), air2(:,2) );
axesyy( hax, [ 0 10 -75 75 0 2000 ], ...
         'Time in days', ...
         'Total Organic Carbon', ...
         'Air Flowrate', 2, ...
         [ 0 25 50 75 ], [ 0 500 1000 ] );
%
printsto -f1 -deps2 fig14-13a.eps
%
load air8.dat;
load ammonia.dat;
%
figure;
hax = plotyy( ammonia(:,1), ammonia(:,2), air8(:,1), air8(:,2) );
axesyy( hax, [ 0 10 0 40 0 600 ], ...
         'Time in days', ...
         'Ammonia', ...
         'Air Flowrate', 2, ...
         [ 20 30 40 ], [ 0 100 200 300 ] );
%
printsto -f2 -deps2 fig14-13b.eps
%
