%
% Figure 15.11
%
figure;
w = logspace( 0, 3 );
g1 = ones( size(w) );
% 5 mins
tau = 0.0833;
g2 = 1 ./ sqrt( 1 + tau .* tau .* w .* w );
% 15 mins
tau = 0.25;
g3 = 1 ./ sqrt( 1 + tau .* tau .* w .* w );
loglog( w, g1, '-', w, g2, '-', w, g3, '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ax(4) = 3;
axis( ax );
% 3 hrs
h = line( [ 2.09 2.09 ] , [ 0.7 1.2 ] );
set( h, 'color', 'k' );
stext( 1.6, 0.5, '\16 3 hour' );
stext( 1.55, 0.3, '\16 period' );
% 5 mins
h = line( [ 75.4 75.4 ] , [ 0.03 1.2 ] );
set( h, 'color', 'k' );
stext( 55, 0.02, '\16 5 min' );
stext( 50, 0.012, '\16 period' );
%
ylabel('Disturbance Rejection Gain');
xlabel('Frequency in radians/hour')
%
stext( 250, 0.07, '\16 \tau = 5 min', 'Rot', -33 );
stext( 230, 0.025, '\16 \tau = 15 min', 'Rot', -33 );
%
printsto -f1 -deps2 fig15-11.eps
%
