%
% Figure 15.4
%
% get data using "get_fcnp_data.m"
get_fcnp_data;
%
figure;
subplot( 2, 2, 1 );
[ h, f, sp ] = frspec( data(:,1), 2, 0, 0 );
plot( f, sp(:,1)/sum(sp(:,1)), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ax(4) = 0.3;
axis( ax );
ylabel( 'Flow' );
xlabel( 'Radians/hour' );
subplot( 2, 2, 2 );
[ h, f, sp ] = frspec( c, 2, 0, 0 );
plot( f, sp(:,1)/sum(sp(:,1)), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ax(4) = 0.3;
axis( ax );
ylabel( 'Total COD' );
xlabel( 'Radians/hour' );
subplot( 2, 2, 3 );
[ h, f, sp ] = frspec( n, 2, 0, 0 );
plot( f, sp(:,1)/sum(sp(:,1)), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ax(4) = 0.3;
axis( ax );
ylabel( 'Total N' );
xlabel( 'Radians/hour' );
subplot( 2, 2, 4 );
[ h, f, sp ] = frspec( p, 2, 0, 0 );
plot( f, sp(:,1)/sum(sp(:,1)), '-' );
set( gca, 'fontsize', 16 );
ax = axis;
ax(4) = 0.3;
axis( ax );
ylabel( 'Total P' );
xlabel( 'Radians/hour' );
%
print -f1 -deps2 fig15-4.eps
%
