%
% Figure 20.12b
%
x = (1:0.5:8) * 0.5 + 1;
y = (1:0.5:8) * 0.44 + 2;
%
z = zeros( length(x), length(y) );
for i = 1:length(x),
  for j = 1:length(y),
    z(j,i) = func2( [ x(i) y(j) ] );
  end;
end;
figure;
contour( x, y, z, [1:2:9 15:20:50 75:90:300 400:200:2000] );
set( gca, 'fontsize', 16 );
xlabel( 'DO in mg/l' );
ylabel( 'RAS in Ml/d' );
%
% do a search
%
global stats
hold on;
h = text( 3.42, 4.8, 'S' ); set( h, 'fontsize', 24 );
simplex( 'func2', [ 3.5 4.8 ], [ 1 1 ], 1, 1, 0.65 )
srchstat
stats = [];
hold off;
print -f1 -deps2 fig20-12b.eps
%
