%
% Figure 20.4
%
x = (1:0.2:10) * 0.5;
y = (1:0.2:10) * 0.44 + 1;
%
z = zeros( length(x), length(y) );
for i = 1:length(x),
  for j = 1:length(y),
    z(i,j) = func1( [ x(i) y(j) ] );
  end;
end;
figure;
contour( x, y, z', [1:2:9 15:20:50 75:90:300 400:200:2000] );
set( gca, 'fontsize', 16 );
xlabel( 'DO in mg/l' );
ylabel( 'RAS in Ml/d' );
print -f1 -deps2 fig20-04.eps
%
