%
% Figure 20.9
%
x = (1:0.5:10) * 0.5;
y = (1:0.5:10) * 0.44 + 1;
%
z = zeros( length(x), length(y) );
for i = 1:length(x),
  for j = 1:length(y),
    z(i,j) = func1( [ x(i) y(j) ] );
  end;
end;
figure;
contour( x, y, z', [1:2:9 15:20:50 75:90:300 400:200:2000] );
set( gca, 'fontsize', 16 );
xlabel( 'DO in mg/l' );
ylabel( 'RAS in Ml/d' );
%
% fences
%
line( [ 2.3 4.25 2.8 ], [ 1.5 4.2 5.5 ] );
h = text( 1.7, 2.7, 'A' );
set( h, 'fontsize', 24 );
h = text( 4.4, 3.5, 'B' );
set( h, 'fontsize', 24 );
%
print -f1 -deps2 fig20-09.eps
%
