%
% Figure 23.1b
%
t = -1:0.01:1;
c = 1./(1 + exp(10 * (t-0.5)));
k = 100;
c = c + [ c(k+1:201) zeros(1,k)  ];
%
plot( t, c-0.05 );
axis( [ -1 0.6 -0.1 2.1 ] );
set( gca, 'fontsize', 24, 'xtick', [], 'ytick', [] );
xlabel( '---> Acid Addition' );
ylabel( 'pH' );
%
h = line( [ -1 1 ], [ 1 1 ] );
set( h, 'linestyle', '--' );
h = text( -0.8, 1.1, 'pH = 7' );
set( h, 'fontsize', 24 );
%
print -f1 -deps2 fig23-1b.eps
%

