%
% text figures 24.4
% (figure 2.9 in PCM book)
%
x = 0:0.01:1;
%
figure(1);
plot( x, x, ...
   x, sqrt(x), ...
   x, 30.^(x - 1) );
axis( [ 0 1 0 1 ] );
set( gca, 'fontsize', 20 );
xlabel( 'Stem Position, x' );
ylabel( 'Characteristic, f(x)' );
h = text( 0.45, 0.40, 'Linear' );
set( h, 'fontsize', 20 );
h = text( 0.15, 0.70, 'Square Root' );
set( h, 'fontsize', 20 );
h = text( 0.55, 0.15, 'Equal Percentage' );
set( h, 'fontsize', 20 );
%
print -f1 -deps2 valvechar.eps
%

