%
% Example 4.5: Flowrate Damping
%
% Bob Newell, May 1996
%
%-------------------------------------------------------
%
function dxdt = Two_Weir_Tanks( t, x )
global alpha
global beta
global fin
%
dxdt = zeros( 2, 1 );
dxdt(1) = ( fin - alpha * x(1) ^ beta ) / 100;
dxdt(2) = alpha * ( x(1) ^ beta - x(2) ^ beta ) / 100;
%
return;
%-------------------------------------------------------
